This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 960357 - (CVE-2013-1995) CVE-2013-1995 libXi: Sign extension issues resulting in heap-based buffer overflow
CVE-2013-1995 libXi: Sign extension issues resulting in heap-based buffer ove...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966698 1078025
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-07 01:51 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXi 1.7.2
Doc Type: Bug Fix
Doc Text:
A buffer overflow flaw was found in the way the XListInputDevices() function of X.Org X11's libXi runtime library handled signed numbers. A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-07 01:51:35 EDT
A sign extension issue was found in libXi, X.Org X11 libXi runtime library. The XListInputDevices() function did not check the sign of the returned data, leading to negative numbers being used in memory size calculations. This can result in allocating too little memory and then writing the returned data past the end of the buffer. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.
Comment 2 Jan Lieskovsky 2013-05-23 11:47:23 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 4 Jan Lieskovsky 2013-05-23 13:23:40 EDT
These issues affect the versions of the libXi package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 5 Jan Lieskovsky 2013-05-23 13:29:39 EDT
Created libXi tracking bugs for this issue

Affects: fedora-all [bug 966698]
Comment 6 Jan Lieskovsky 2013-05-23 13:31:25 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 7 Fedora Update System 2013-05-27 22:24:10 EDT
libXi-1.7.1-4.20130524git661c45ca1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-02 23:04:11 EDT
libXi-1.6.2.901-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Huzaifa S. Sidhpurwala 2013-06-04 23:39:18 EDT
This issue affects the version of libXi as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 10 Huzaifa S. Sidhpurwala 2013-06-04 23:49:52 EDT
Statement:

This issue affects the libXi package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 12 Martin Prpic 2014-10-10 04:41:12 EDT
IssueDescription:

A buffer overflow flaw was found in the way the XListInputDevices() function of X.Org X11's libXi runtime library handled signed numbers. A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client.
Comment 13 errata-xmlrpc 2014-10-14 01:05:43 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.